<?php 

function moral_magazine_editorial_style(){

    $editorial = '#magazine_pro_editorial_section article:not(:last-child) {
            margin-bottom: 32px;
        }
        #magazine_pro_editorial_section .featured-image {
            background-position: 50%;
            background-size: cover;
            background-repeat: no-repeat;
            margin-bottom: 15px;
            transition: unset;
        }
        #magazine_pro_editorial_section .entry-title {
            margin-bottom: 4px;
        }

        @media screen and (min-width: 992px) {
            #magazine_pro_editorial_section article:not(:last-child) {
                margin-bottom: 0;
            }
        }';

    wp_add_inline_style( 'moral-magazine-style', $editorial );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_editorial_style' );

