<?php 

function moral_magazine_hero_banner_style(){

    $hero_banner = '#magazine_pro_hero_banner_section .hero-banner-post {
            margin-bottom: 32px;
    }
    #magazine_pro_hero_banner_section.full-width .hero-banner-post {
        width: 100%;
    }
    #magazine_pro_hero_banner_section .hero-banner-post .featured-image {
        padding: 150px 0;
        background-size: cover;
        background-position: 50%;
        background-repeat: no-repeat;
        position: relative;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -ms-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }
    #magazine_pro_hero_banner_section .hero-banner-post article:first-child {
        width: 100%;
    }
    #magazine_pro_hero_banner_section .hero-banner-post .entry-container {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        padding: 24px 40px;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -ms-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }
    .herobanner-wrapper {
        position: relative;
        overflow: hidden;
    }
    #magazine_pro_hero_banner_section .entry-title {
        margin-bottom: 6px;
    }
    .hero-banner-post .herobanner-wrapper:hover .featured-image {
        -webkit-transform: scale(1.2);
        -moz-transform: scale(1.2);
        -ms-transform: scale(1.2);
        -o-transform: scale(1.2);
        transform: scale(1.2);
    }
    .hero-banner-sidebar ul {
        margin: 0;
        padding: 0;
        margin-bottom: 30px;
    }
    .hero-banner-sidebar ul.post-categories {
        margin-bottom: 0;
    }
    .hero-banner-sidebar ul li {
        padding: 0;
        margin: 0;
        display: inline-block;
    }
    .hero-banner-sidebar ul li:not(:last-child) {
        padding-right: 25px;
    }
    .hero-banner-sidebar .sidebar-post-wrapper {
        display: table;
        position: relative;
        align-items: center;
        width: 100%;
    }
    .hero-banner-sidebar .featured-image {
        width: 30%;
        position: absolute;
        display: table-cell;
        left: 0;
        bottom: 0;
        right: 0;
        top: 0;
        padding-bottom: 0;
        margin-bottom: 0;
    }
    .hero-banner-sidebar .entry-container {
        text-align: unset;
        width: 70%;
        display: table-cell;
        padding: 0 15px;
    }
    .hero-banner-sidebar article:not(:last-child) {
        margin-bottom: 25px;
    }
    .hero-banner-sidebar ul li {
        position: relative;
    }
    .hero-banner-sidebar {
        margin-top: 30px;
    }
    .hero-banner-sidebar ul li.active:after {
        content: "";
        background-color: #e6432a;
        width: 65px;
        height: 4px;
        position: absolute;
        bottom: 0;
        left: 0;
    }
    .hero-banner-sidebar .sidebar-tab li .section-title {
        color: #808080;
        cursor: pointer;
    }
    .hero-banner-sidebar .sidebar-tab li.active .section-title {
        color: #fff;
    }
    .hero-banner-sidebar .section-title {
        padding: 0;
        background-color: unset;
    }
    #magazine_pro_hero_banner_section .hero-banner-sidebar .entry-title,
    .hero-banner-sidebar .entry-title {
        margin-bottom: 0;
    }

    .dark-version .hero-banner-post .post-categories a{
        color: #fff;
    }

    .dark-version .hero-banner-post .post-categories a:hover,
    .dark-version .hero-banner-post .post-categories a:focus{
        color: #000;
    }

    #magazine_pro_hero_banner_section .hero-banner-post .posted-on a:before,    
    #magazine_pro_hero_banner_section .hero-banner-post .comment a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }

    @media screen and (max-width: 567px) {
        #magazine_pro_hero_banner_section .hero-banner-post article:not(:last-child) {
            margin-bottom: 32px;
        }
    }
    @media screen and (min-width: 567px) {
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(1) {
            margin-bottom: 32px;
            width: 100%;
        }
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(2n),
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(3n) {
            width: 50%;
            float: left;
            clear: none;
        }
    }
    @media screen and (min-width: 1025px) {
        #magazine_pro_hero_banner_section .hero-banner-post {
            margin-bottom: 0;
        }
        #magazine_pro_hero_banner_section #secondary {
            padding-left: 15px;
        }
        #magazine_pro_hero_banner_section .hero-banner-post {
            width: 75%;
            float: left;
            padding-right: 15px;
        }
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(2n) {
            margin-bottom: 16px;
        }
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(1) {
            margin-bottom: 0;
            width: 65%;
        }
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(2n),
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(3n) {
            width: 35%;
        }
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(1) .featured-image {
            padding: 244px 0;
        }
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(2n) .featured-image,
        #magazine_pro_hero_banner_section .hero-banner-post article:nth-child(3n) .featured-image {
            padding: 118px 0;
        }
        .hero-banner-sidebar .entry-title {
            font-size: 15px;
        }

        .hero-banner-sidebar {
            margin-top: 0;
        }
        .hero-banner-sidebar .entry-title {
            margin-bottom: 0;
            max-height: 42px;
            overflow: hidden;
        }
        
    }

    @media screen and (min-width: 1900px) {
        .hero-banner-sidebar .entry-title  {
            max-height: 55px;
        }
        .hero-banner-sidebar .entry-title a {
            font-size: 20px;
        }
        .hero-banner-sidebar article:not(:last-child) {
            margin-bottom: 20px;
        }
        .hero-banner-sidebar ul li:not(:last-child) {
            padding-right: 35px;
        }
    }';

    wp_add_inline_style( 'moral-magazine-style', $hero_banner );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_hero_banner_style' );